﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CheckersClientApplication
{
    /// <summary>
    /// Interaction logic for LoginScreen.xaml
    /// </summary>
    public partial class LoginScreen : Window
    {
        SplashScreen splashscreen = new SplashScreen("/Resources/Loadingimage.jpg");
        public LoginScreen()
        {
            InitializeComponent();
        }

        private void loginBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                splashscreen.Show(false, true);
                var objclsPlayer = new LoginServiceReference.clsPlayer()
                {
                    PlayerUserName = playerUsernameTxt.Text,
                    PlayerPassword = playerPasswordTxt.Password
                };

                LoginServiceReference.LoginServiceClient client = new LoginServiceReference.LoginServiceClient();

                objclsPlayer = client.LoginAuthentication(objclsPlayer);
                splashscreen.Close(System.TimeSpan.Zero);
                //MessageBox.Show(objclsPlayer.PlayerId.ToString());

                GameRoomList list = new GameRoomList(objclsPlayer);
                list.Show();
                this.Hide();
            }
            
            catch(Exception exp)
            {
                MessageBox.Show(exp.Message);
            }
        }

        private void backBtn_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                MainWindow screen = new MainWindow();
                screen.Show();
                this.Hide();
            }
            
            catch(Exception exp)
            {
                MessageBox.Show(exp.Message);
            }
        }
    }
}
